## EXPORT_SPEC int UpnpGetServiceVarStatus

## ( IN UpnpClient_Handle Hnd,
IN const char* ActionURL,
IN const char* VarName,
OUT DOMString* StVarVal )

> UpnpGetServiceVarStatus queries the state of a state variable of a service on another device.

## Documentation

> UpnpGetServiceVarStatus queries the state of a state variable of a service on another device. This is a synchronous call. A positive return value indicates a SOAP error code, whereas a negative return code indicates an SDK error code. Note that the use of this function is deprecated by the UPnP Forum.

Parameters:
  Hnd - The handle of the control point.
  ActionURL - The URL of the service.
  VarName - The name of the variable to query.
  StVarVal - The pointer to store the value for VarName. The SDK allocates this string and the caller needs to free it using ixmlFreeDOMString.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_HANDLE`: The handle is not a valid control point handle.
  - `UPNP_E_INVALID_URL`: ActionUrl is not a valid URL.
  - `UPNP_E_INVALID_DESC`: The XML document was not found or it does not contain a valid XML description.
  - `UPNP_E_INVALID_PARAM`: StVarVal is not a valid pointer or VarName or ActionUrl is `NULL`.
  - `UPNP_E_OUTOF_MEMORY`: Insufficient resources exist to complete this operation.
  - `UPNP_SOAP_E_INVALID_VAR`: The given variable is invalid according to the device.

Alphabetic index

This page was generated with the help of DOC++.